列出所有用户
GET /accounts/{account_id}/core/v1/users
返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
包括 |
string |
查询 |
False |
指示列出集合时应返回哪些字段。 URL 示例:"include=id"、"include=id,name" OpenAPI 示例:"id"
|
limit |
string |
查询 |
False |
指示列出集合时要返回的最大资源数。 URL 示例:"limit=2" OpenAPI 示例:"2" |
筛选器 |
string |
查询 |
False |
指示在列出集合时应匹配哪些字段以返回资源。 支持的运算符有:
URL 示例:"filter=field%20eq%20%27value%27" OpenAPI 示例:"field eq 'value'" |
订单 |
string |
查询 |
False |
指示列出集合时资源的排序顺序。 URL 示例:"orderBy=name","orderBy=name%20desc" OpenAPI 示例:"name desc" |
跳过 |
string |
查询 |
False |
指示列出集合时要跳过的资源数。 URL 示例:"skip=1" OpenAPI 示例:"1" |
count |
string |
查询 |
False |
指示是否应在元数据对象中返回资源总数。 URL 示例:"count=true" OpenAPI 示例:"true" |
继续 |
查询 |
False |
指示要从中恢复列表的令牌。 URL 示例:"continue= OpenAPI 示例:" |
响应
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| 名称 | Type | Required | Description |
|---|---|---|---|
个项 |
数组[任意类型:"user_1.2_get_response_body",数组[]] |
True |
|
元数据 |
True |
响应示例
{
"type": "application/astra-users",
"version": "1.2",
"items": [
[
"11c0cfa1-4f27-4ef7-a21c-cb452fc5c9aa",
"jdoe@example.com"
],
[
"e324ec3a-706d-4f57-a95d-1d88c03e7b73",
"ssmith@example.com"
],
[
"3070c84d-129b-4017-82a8-2c26a42dd77e",
"wjohns@example.com"
]
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
数组["invalidParams"] |
False |
无效查询参数列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
postalAddress
JSON 对象包含指定地址的字段集合。如果此 key 不存在,则表示未提供地址。如果此 key 存在,则所有六个包含的字段都将存在。如果用户未提供任何内容,则字符串将为空。
| 名称 | Type | Required | Description |
|---|---|---|---|
addressCountry |
string |
True |
包含与邮政地址关联的国家/地区名称或国家/地区代码的 JSON 字符串,如 ISO 3166 Alpha-2 中所指定。定义的值为:
|
addressLocality |
string |
True |
包含与邮政地址关联的地点(例如城市)的 JSON 字符串。定义的值为:
|
addressRegion |
string |
True |
包含与邮政地址关联的区域(例如州)的 JSON 字符串。定义的值为:
|
postalCode |
string |
True |
包含与邮政地址关联的邮政编码的 JSON 字符串。定义的值为:
|
streetAddress1 |
string |
True |
包含与邮政地址关联的街道地址的 JSON 字符串。定义的值为:
|
streetAddress2 |
string |
False |
包含可选辅助街道地址信息、邮政信箱等的 JSON 字符串。定义的值为:
|
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
user_1.2_get_response_body
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
状态 |
string |
True |
包含指示用户操作状态的值的 JSON 字符串。定义的值为:
|
isEnabled |
string |
True |
指示是否允许用户登录的 JSON 字符串。定义的值为:
|
authID |
string |
False |
包含与外部标识提供程序关联的标识符的 JSON 字符串。此字符串的内容取决于指定的 authProvider。对于 "authProvider" 为 "local" 的用户,"authID" 设置为 "email" 的值。对于 "authProvider" 为 "ldap" 的用户,"authID" 设置为其来自 LDAP 服务器的可分辨名称 (DN)。 |
authProvider |
string |
False |
表示 idAuth 标识符上下文的 JSON 字符串。定义的值为:
|
firstName |
string |
True |
包含用户指定的长格式名字的 JSON 字符串。定义的值为:
|
lastName |
string |
True |
包含用户指定的长格式姓氏的 JSON 字符串。定义的值为:
|
companyName |
string |
False |
包含与用户关联的公司名称的 JSON 字符串。如果此密钥不存在,则表示未提供公司名称。定义的值为:
|
电子邮件 |
string |
True |
包含用户指定的电子邮件地址的 JSON 字符串。 |
电话 |
string |
False |
包含用户电话号码的 JSON 字符串。如果此密钥不存在,则表示未提供电话号码。 |
postalAddress |
False |
JSON 对象包含指定地址的字段集合。如果此 key 不存在,则表示未提供地址。如果此 key 存在,则所有六个包含的字段都将存在。如果用户未提供任何内容,则字符串将为空。 |
|
sendWelcomeEmail |
string |
True |
表示是否在验证后发送欢迎电子邮件的 JSON 字符串。如果在创建时未指定,则 ACS 的值将设置为 "true",Astra Control Center 的值将设置为 "false"。定义的值为:
|
enableTimestamp |
string |
False |
包含 ISO-8601 格式时间戳的 JSON 字符串,指示上次启用用户的时间。已定义的值为:
|
lastActTimestamp |
string |
False |
包含 ISO-8601 格式时间戳的 JSON 字符串,指示上次代表此用户调用身份 API 的时间。(注:这是昂贵的。)定义的值为:
|
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
type_astra_metadata_list
| 名称 | Type | Required | Description |
|---|---|---|---|
继续 |
string |
False |
|
count |
数字 |
False |
|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |